import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';
import 'package:worker_client/pages/wallet/widget/money.dart';
import 'package:worker_client/pages/wallet/widget/moneyInfo.dart';

import '../../widgets/layout/BasicPage.dart';

class MyWallet extends BasicPage {
  MyWallet({Key? key}) : super(key: key) {
    naviTitle = '我的钱包';
  }

  @override
  Widget builder(BuildContext context) {
    return ListView(
      children: [
        Container(
          alignment: Alignment.center,
          child: Column(
            children: [
              MoneyCard(),
              Container(
                  alignment: Alignment.center,
                  width: 345.w,
                  margin: EdgeInsets.fromLTRB(0, 15.w, 0, 15.w),
                  decoration: BoxDecoration(
                    borderRadius: BorderRadius.circular(10),
                    color: Colors.white,
                  ),
                  child: Column(
                    children: [
                      Container(
                          margin: EdgeInsets.fromLTRB(0, 30.w, 0, 20.w),
                          alignment: Alignment.topLeft,
                          decoration: const BoxDecoration(
                              border: Border(
                                  left: BorderSide(
                                      width: 5, color: Color(0xff000000)
                                      // 0x17000000
                                      ))),
                          child: Padding(
                            padding: EdgeInsets.fromLTRB(13.w, 0, 0, 0),
                            child: Text(
                              '零钱明细',
                              style: TextStyle(
                                color: Color(0xff333333),
                                fontWeight: FontWeight.bold,
                                fontSize: 17,
                              ),
                            ),
                          )),
                      MoneyInfoCard(),
                      MoneyInfoCard(),
                      MoneyInfoCard(),
                      MoneyInfoCard(),
                      MoneyInfoCard(),
                      MoneyInfoCard(),
                      MoneyInfoCard(),
                      MoneyInfoCard(),
                      MoneyInfoCard(),
                      MoneyInfoCard(),
                      MoneyInfoCard(),
                      MoneyInfoCard(),
                      MoneyInfoCard(),
                      MoneyInfoCard(),
                      MoneyInfoCard(),
                    ],
                  )),
            ],
          ),
        ),
      ],
    );
  }
}
